unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons,uplaylistenmanger,uplaylistbase, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    ListBox1: TListBox;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
  private
    PlayListeManger:TPlaylistenManger;
    { private declarations }
  public
    procedure AddPlayListe(const aFileName:String; const aInfo:TInfo);
    { public declarations }
  end; 

var
  Form1: TForm1; 
  ListeIst: Boolean;
  StartPath: String;

implementation

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  SpeedButton3.Enabled := False;
  ListeIst := False;
  StartPath := ExtractFilePath(ParamStr(0));
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  If ListeIst = False Then
    begin
      PlayListeManger := TPlaylistenManger.Create;
      PlayListeManger.PlayListItems := Listbox1.items;
      PlayListeManger.LoadFromFile(StartPath + 'oldies.m3u');
      ListeIst := True;
      SpeedButton3.Enabled := True;
    end;
end;

procedure TForm1.ListBox1Click(Sender: TObject);
var
  info:TInfo;
begin
  If Listbox1.Items.Count > 0 Then
  begin
     info:=PlayListeManger.GetPlayListenItem(ListBox1.ItemIndex);

     Memo1.Lines.Add(info.FileName);
     Memo1.Lines.Add(info.Kommentar);
     Memo1.Lines.Add('--------------------------------');
  end;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject); // Öffnen
begin
 { PlayListeManger.LoadFromFile('/media/hda7/Daten/music/entspannung.m3u'); }
  PlayListeManger.LoadFromFile(StartPath + 'oldies.m3u');
end;

procedure TForm1.SpeedButton2Click(Sender: TObject); // Speichern
begin
  PlayListeManger.SaveToFile('c:\test1.m3u');
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    begin
      PlayListeManger.AddPlayListe(OpenDialog1.Files);
    end;
end;

procedure TForm1.SpeedButton5Click(Sender: TObject);
begin
  {writeln(PlayListeManger.PlaylistItems.text); }
  Memo1.Clear;;
  Memo1.Lines.Add(PlayListeManger.PlaylistItems.Text);
end;

procedure TForm1.AddPlayListe(const aFileName: String; const aInfo: TInfo);
begin
  Memo1.Clear;
  Memo1.Lines.Add(aFileName);
end;

initialization
  {$I unit1.lrs}

end.

